Revoke a customer impersonation token by ID

Revokes a single customer impersonation token identified by its `jti`. You do not need the token's JWT string to revoke it - only the `jti` returned by the [List customer impersonation tokens](#operation/listCustomerImpersonationTokens) endpoint. You can only revoke tokens that your own API account issued through this token family. Supplying a `jti` issued by a different API account, or belonging to a different token family, returns `404 Not Found`. Each store can hold a limited number of revoked tokens that have not yet expired. Once that limit is reached, this endpoint returns `422 Unprocessable Entity` until some revoked tokens expire. The revoke-all endpoint is not subject to this limit. Revocation can take up to approximately 60 seconds to fully propagate because revoked identifiers are held in a short-lived cache, so a revoked token may briefly continue to authenticate. **Required Scopes** * `Manage` `Storefront API Customer Impersonation Tokens`

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Storefront API Customer Impersonation Tokens | manage | `store_storefront_api_customer_impersonation` | | Storefront API Tokens | manage | `store_storefront_api` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).

Path parameters

jtistringRequired

Unique identifier (the JWT jti claim) of the token to revoke.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

The token has been revoked.

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error